## Function `formatDecimal( value, dp )`

Description:
  Turns a floating point value into a string with a given number of decimal places using standard settings.

Parameters:
  `value` (floating point)
    value to format
  `dp` (integer)
    number of decimal places (digits after the decmal point)

Return Value (String):
  formatted string

Examples:
  - `formatDecimal(PI,0) = "3."`
  - `formatDecimal(0,10) = ".0000000000"`
  - `formatDecimal(E*10,3) = "27.183"`

Signature:
  `String formatDecimal(double, int)`